import Link from "next/link";
import Image from "next/image";
import { useEffect } from "react";
import CloseIcon from "@mui/icons-material/Close";
import IconButton from "@mui/material/IconButton";
import { Dialog, DialogContent, DialogTitle } from "@mui/material";
import LoginComponent from "@/components/login";
import { setStartLogin, useLiTechController } from "@/utils/context";
import { useState } from "react";
import FooterText from "./footerText";
export default function FooterComponent() {
  const [controller, dispatch] = useLiTechController();
  const [open, setOpen] = useState(false);

  const handleClose = () => {
    setStartLogin(dispatch, false);
  };

  useEffect(() => {
    return () => {
      setStartLogin(dispatch, false);
    };
  }, []);
  return (
    <footer>
      <div className="footer__area black-bg-2">
        <div className="footer__top footer__top-7 pt-95 mb-35">
          <div className="container">
            <div className="row">
              <div className="col-xxl-4 col-xl-4 col-lg-6 col-md-12 col-sm-12">
                <div className="footer__widget footer__info-padding-2">
                  <div className="footer__logo">
                    <Link
                      href="/"
                      className="footer__widget-title footer__widget-title-3"
                    >
                      GI-board
                    </Link>
                  </div>
                  <div className="footer__widget-content">
                    <div className="footer__info footer__info-7">
                   
                        <FooterText />
                   
                    </div>
                  </div>
                </div>
              </div>
              <div className="col-xxl-4 col-xl-4 col-lg-6 col-md-12 col-sm-12">
                <div className="footer__widget footer__widget-padding ">
                  <div className="footer__widget-top">
                    <h3 className="footer__widget-title footer__widget-title-3">
                      فهرست ها
                    </h3>
                  </div>
                  <div className="footer__widget-content">
                    <div className="footer__link footer__link-7">
                      <ul>
                        <li>
                          <Link href="/educationslides">اسلاید های اموزشی</Link>
                        </li>
                        <li>
                          <Link href="/educationpodcasts">
                            پادکست های اموزشی
                          </Link>
                        </li>

                        <li>
                          <Link href="/page/verbalexam">
                            آشنایی با روش های آزمون شفاهی
                          </Link>
                        </li>
                        <li>
                          <Link href="/questionsexample">
                            سوالات ازمون دانشنامه
                          </Link>
                        </li>
                        <li>
                          <Link href="/contactus">تماس با ما</Link>
                        </li>
                        <li>
                          <Link href="/page/about">درباره ما</Link>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>

              <div className="col-xxl-4 col-xl-4 col-lg-6 col-md-12 col-sm-12">
                <div className="footer__widget footer__widget-padding">
                  <div className="footer__widget-top">
                    <h3 className="footer__widget-title footer__widget-title-3">
                      پیوند ها :
                    </h3>
                  </div>
                  <div className="footer__widget-content footer__link-7">
                    <div className="course__sm">
                      <ul>
                        <li className="course__sm-item d-flex align-items-center mb-25">
                          <div className="course__sm-content">
                            <h3 className="course__sm-title">
                              <Link
                                href="https://cgme.behdasht.gov.ir/"
                                target="_blank"
                              >
                                دبیرخانه آموزش پزشکی و تخصصی
                              </Link>
                            </h3>
                          </div>
                        </li>
                        <li className="course__sm-item d-flex align-items-center mb-25">
                          <div className="course__sm-content">
                            <h3 className="course__sm-title">
                              <Link
                                href="http://www.govaresh.org/index.php/dd"
                                target="_blank"
                              >
                                مجله گوارش
                              </Link>
                            </h3>
                          </div>
                        </li>

                        <li className="course__sm-item d-flex align-items-center mb-25">
                          <div className="course__sm-content">
                            <h3 className="course__sm-title">
                              <Link
                                href="https://www.iaghcongress.org/"
                                target="_blank"
                              >
                                انجمن گوارش
                              </Link>
                            </h3>
                          </div>
                        </li>
                        <li className="course__sm-item d-flex align-items-center mb-25">
                          <div className="course__sm-content">
                            <h3 className="course__sm-title">
                              <Link
                                href="http://mejdd.org/index.php/mejdd"
                                target="_blank"
                              >
                                مجله MEJDD
                              </Link>
                            </h3>
                          </div>
                        </li>
                        <li className="course__sm-item d-flex align-items-center mb-25">
                          <div className="course__sm-content">
                            <h3 className="course__sm-title">
                              <Link
                                href="https://journalfind.ir/journal/hepatitis-monthly.html"
                                target="_blank"
                              >
                                مجله Hepatitis Monthly
                              </Link>
                            </h3>
                          </div>
                        </li>

                        <li className="course__sm-item d-flex align-items-center mb-25">
                          <div className="course__sm-content">
                            <h3 className="course__sm-title">
                              <Link
                                href="https://journals.sbmu.ac.ir/ghfbb/index.php/ghfbb"
                                target="_blank"
                              >
                                مجله Gastroenterology and hepatology from bench
                                to bed
                              </Link>
                            </h3>
                          </div>
                        </li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div className="footer__bottom-3 footer__bottom-7">
          <div className="container">
            <div className="row align-items-center">
              <div className="col-xxl-12">
                <div className="footer__copyright footer__copyright-3 footer__copyright-7 text-center">
                  <p className="text-rubik">
                    © تمامی حقوق این سایت محفوظ میباشد.
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <Dialog
        open={controller.startLogin}
        onClose={() => {
          dispatch, false;
        }}
        aria-labelledby="alert-dialog-title"
        aria-describedby="alert-dialog-description"
      >
        <IconButton
          color="inherit"
          onClick={() => {
            handleClose(true);
          }}
          aria-label="close"
        >
          <CloseIcon />
        </IconButton>
        <DialogTitle id="alert-dialog-title">
          <h3 className="contact-form-title">ورود به حساب کاربری</h3>
        </DialogTitle>
        <DialogContent>
          <LoginComponent />
        </DialogContent>
      </Dialog>
    </footer>
  );
}
