import mongoose from "mongoose";

const userSchema = new mongoose.Schema({
  phone: { type: String, required: true, unique: true },
  username: { type: String, required: true, unique: true },
  name: { type: String, trim: true },
  userRole: {
    type: String,
    enum: ["user", "admin"],
    default: "user",
  },
  fileName: { type: String },
  university: { type: String, required: true },
  dateOfProficiency: { type: String, required: true },
  nationalId: { type: String, required: true },
  password: { type: String, required: true, minlength: 5, maxlength: 255 },
  lastLogin: { type: Date },
  active: { type: Boolean, default: false, required: true },
  delete: { type: Boolean, default: false, required: true },
});

export default mongoose.models.User || mongoose.model("User", userSchema);
