import Academic from "../../../model/academic";
import dbConnect from "../../../utils/dbConnect";
import nc from "next-connect";
import { uploadAcademic } from "@/middlewares/uploadMiddleware";

export const config = {
  api: {
    bodyParser: false,
  },
};

const handler = nc()
  .use(uploadAcademic.single("picture"))
  .post(async (req, res) => {
    try {
      let body = req.body;
      let file = req.file;

      await dbConnect();
      const newUser = new Academic({
        title: body.title,
        picture: file.filename,
        education: body.education,
        description: body.description, 
      });
      console.log("newuser", newUser);
      newUser
        .save()
        .then((result) => {
          console.log("myresult", result);
          return res.status(200).json({
            message: "success",
            success: true,
          });
        })
        .catch((error) => {
          console.log(error);
          return res.status(401).json({
            message: "ERROR",
            success: false,
          });
        });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  });

export default handler;
