import config from "@/utils/config";
import User from "../../../model/user";
import dbConnect from "../../../utils/dbConnect";
import jwt from "jsonwebtoken";
const bcrypt = require("bcrypt");

export default async function handler(req, res) {
  console.log("req.method", req.method);
  if (req.method === "POST") {
    try {
      let body = req.body;
      
      await dbConnect();
      const user = await User.findOne({
        username: body.username,
      });
      console.log("body", user);
      if (!user) {
        return res.status(200).json({
          message: "نام کاربری یا رمزعبور صحیح نیست",
          success: false,
        });
      }
      const isMatch = await bcrypt.compare(body.password, user.password);
      if (isMatch) {
        let payload = {
            id:user._id,
          };
          let token = jwt.sign(payload, config.secretKey, {
            //expiresIn: '1m',
          });
         return res.status(200).json({
            data:{token, userRole : user.userRole,active:user.active},
            message: "Login success",
            success: true,
          });
      } else {
        return res.status(200).json({
            message: "نام کاربری یا رمزعبور صحیح نیست",
            success: false,
          });
      }

      
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
 
  }  
}
