import User from "../../../model/user";
import dbConnect from "../../../utils/dbConnect";
const bcrypt = require("bcrypt");

export default async function handler(req, res) {
  console.log("req.method", req.method);
  if (req.method === "GET") {
    try {
      await dbConnect();
      let users = await User.find();
      console.log(users);
      res.status(200).json({ success: true, data: users });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  } else if (req.method === "POST") {
    try {
      let body = req.body;
      console.log("body", body);
      await dbConnect();
      let hashPassword = await bcrypt.hashSync(body.password, 10);
      console.log(body.password,  hashPassword)
      const newUser = new User({
        name: body.name,
        lastName: body.lastName,
        phone: body.phone,
        username: body.username,
        password: hashPassword,
      });
      console.log("newuser", newUser);
      newUser
        .save()
        .then((result) => {
          console.log("myresult", result);
          return res.status(200).json({
            message: "success",
            success: true,
          });
        })
        .catch((error) => {
          console.log(error);
          return res.status(401).json({
            message: "ERROR",
            success: false,
          });
        });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }

    return;
  } else if (req.method === "PUT") {
    console.log(req.body);
    res.status(200).send({ message: "Only POST requests allowed" });
    return;
  }
}
