import { uploadMember, uploadPage, uploadSlide } from "@/middlewares/uploadMiddleware";
import nc from "next-connect";
export const config = {
  api: {
    bodyParser: false,
  },
};

const handler = nc()
.use(uploadPage.single("image"))
.post(async (req, res) => { 
  try {
    if (!req.file) {
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
    return res.status(200).json({
      url: "https://files.gi-board.ir/upload/pagefiles/" + req.file.filename,
      success: true,
    });
  } catch (err) {
    console.log(err);
    return res.status(401).json({
      message: "Error",
      success: false,
    });
  }
});

export default handler;
