import Podcast from "../../../model/podcast";
import dbConnect from "../../../utils/dbConnect";
import nc from "next-connect";
import { uploadPodcast } from "@/middlewares/uploadMiddleware";

export const config = {
  api: {
    bodyParser: false,
  },
};

const handler = nc()
  .use(uploadPodcast.single("fileName"))
  .post(async (req, res) => {
    try {
      let body = req.body;
      let file = req.file;
     console.log("file", file);
      await dbConnect();
      const newPodcast = new Podcast({
        name: body.name,
        fileName: file.filename,
        rowNumber: body.rowNumber,
        description: body.description,
      });
      console.log("newpodcast", newPodcast);
      newPodcast
        .save()
        .then((result) => {
          console.log("myresult", result);
          return res.status(200).json({
            message: "success",
            success: true,
          });
        })
        .catch((error) => {
          console.log(error);
          return res.status(401).json({
            message: "ERROR",
            success: false,
          });
        });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  });

export default handler;
