import Swal from "sweetalert2";

export const successMessage = (message) => {
  return Swal.fire({
    html: message,
    icon: "success",
    showConfirmButton: false,
    timer: 2000,
    timerProgressBar: true,
    position: "top-end",
    imageHeight: 50,
  });
};

export const successStoreMessage = (res, id) => {
  return Swal.fire({
    title: "",
    icon: "success",
    text: "با موفقیت ثبت شد",
  });
};

export const successStoreUser = (res, id) => {
  return Swal.fire({
    title: "",
    icon: "success",
    text: "با موفقیت ثبت شد. لطفا تا زمان تایید حساب کاربری منتظر بمانید.",
  });
};

export const successUpdateMessage = (res) => {
  return Swal.fire({
    title: "",
    icon: "success",
    text: "با موفقیت ویرایش شد",
  });
};

export const loginSuccessMessage = (message) => {
  return Swal.fire({
    html: message,
    icon: "success",
    showConfirmButton: true,
    position: "center",
    imageHeight: 50,
  });
};

export const errorMessage = (message, code) => {
  return Swal.fire({
    html: code ? `${message} (${code})` : `${message}`,
    icon: "error",
    confirmButtonText: "OK",
  });
};

export const catchMessage = (error) => {
  console.log("catch error :", error);
  return Swal.fire({
    text: `خطایی رخ داده است`,
    icon: "error",
    confirmButtonText: "OK",
  });
};

export const dataErrorsMessage = (dataErrors) => {
  return Swal.fire({
    html: dataErrors,
    icon: "error",
    confirmButtonText: "OK",
  });
};

export const deleteAlert = async () => {
  return Swal.fire({
    title: "",
    icon: "warning",
    text: "آیا از حذف مطمعن هستید؟",
    showCancelButton: true,
    focusConfirm: false,
    confirmButtonText: "بله",
    cancelButtonText: "خیر",
  }).then((result) => {
    if (result.isConfirmed) {
      return true;
    }
  });
};

export const loginAlert = async () => {
  return Swal.fire({
    title: "",
    icon: "error",
    text: "ّبرای دانلود فایل ابتدا باید وارد حساب کاربری خود شوید",
    showCancelButton: true,
    focusConfirm: false,
    confirmButtonText: "ورود",
    cancelButtonText: "انصراف",
  }).then((result) => {
    if (result.isConfirmed) {
      return true;
    }
  });
};

export const sendMessageAlert = async () => {
  return Swal.fire({
    title: "",
    icon: "error",
    text: "ّبرای  ارسال پیام ابتدا باید وارد حساب کاربری خود شوید",
    showCancelButton: true,
    focusConfirm: false,
    confirmButtonText: "ورود",
    cancelButtonText: "انصراف",
  }).then((result) => {
    if (result.isConfirmed) {
      return true;
    }
  });
};

export const activeLogin = async () => {
  return Swal.fire({
    title: "",
    icon: "error",
    text: "حساب کاربری شما هنوز تایید نشده است",
  });
};

export const successDeleteMessage = (res, id) => {
  return Swal.fire({
    title: "",
    icon: "success",
    text: "با موفقیت حذف شد",
  });
};

export const confirmMessage = async () => {
  return Swal.fire({
    title: "",
    icon: "warning",
    text: "Do you want to store?",
    showCloseButton: false,
    showCancelButton: true,
    focusConfirm: false,
    confirmButtonText: "Yes",
    cancelButtonText: "No",
  }).then((result) => {
    if (result.isConfirmed) {
      return true;
    }
  });
};

//-------------------------------------------------------------//

// export const successStoreMessage = (res, id) => {
//     return res.json({
//       code: 200,
//       id: id ? id : undefined,
//       message: "با موفقیت ثبت شد",
//       success: true,
//     });
//   };

//   export const successUpdateMessage = (res) => {
//     res.json({
//       code: 200,
//       message: "با موفقیت ویرایش شد",
//       success: true,
//     });
//   };

//   export const successDeleteMessage = (res) => {
//     return res.json({
//       code: 200,
//       message: "با موفقیت حذف شد",
//       success: true,
//     });
//   };

//   export const successGetDataMessage = (res, datas) => {
//     return res.json({
//       code: 200,
//       data: datas,
//       success: true,
//     });
//   };

//   export const successGetPageDataMessage = (res, datas, count) => {
//     return res.json({
//       data: datas,
//       count: count,
//       code: 200,
//       success: true,
//     });
//   };

//   export const catchMessage2 = (res, error) => {
//     console.log("catch error", error);
//     return res.json({
//       code: 501,
//       message: "خطایی رخ داده است",
//       success: false,
//     });
//   };

//   export const failedMessage = (res) => {
//     return res.json({
//       code: 502,
//       message: "خطایی رخ داده است",
//       success: false,
//     });
//   };

//   export const validationMessage = (res, err) => {
//     return res.json({
//       code: 406,
//       message: err,
//       success: false,
//     });
//   };

//   export const notIdMessage = (res) => {
//     return res.json({
//       code: 503,
//       message: "موردی انتخاب نشده است",
//       success: false,
//     });
//   };
